Bug 1790606 - [abrt] nxagent: XkbAdjustGroup(): nxagent killed by SIGFPE
Summary: [abrt] nxagent: XkbAdjustGroup(): nxagent killed by SIGFPE
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nx-libs
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0d95e4431ed896c75bd4f6e5d06...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-13 17:51 UTC by RobbieTheK
Modified: 2020-02-02 01:34 UTC (History)
3 users (show)

Fixed In Version: nx-libs-3.5.99.22-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-02 01:34:07 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (15.16 KB, text/plain)
2020-01-13 17:52 UTC, RobbieTheK
no flags Details
File: core_backtrace (1.56 KB, text/plain)
2020-01-13 17:52 UTC, RobbieTheK
no flags Details
File: cpuinfo (2.32 KB, text/plain)
2020-01-13 17:52 UTC, RobbieTheK
no flags Details
File: dso_list (3.81 KB, text/plain)
2020-01-13 17:52 UTC, RobbieTheK
no flags Details
File: environ (2.51 KB, text/plain)
2020-01-13 17:52 UTC, RobbieTheK
no flags Details
File: limits (1.29 KB, text/plain)
2020-01-13 17:52 UTC, RobbieTheK
no flags Details
File: maps (24.95 KB, text/plain)
2020-01-13 17:52 UTC, RobbieTheK
no flags Details
File: mountinfo (12.43 KB, text/plain)
2020-01-13 17:52 UTC, RobbieTheK
no flags Details
File: open_fds (1.35 KB, text/plain)
2020-01-13 17:52 UTC, RobbieTheK
no flags Details
File: proc_pid_status (1.34 KB, text/plain)
2020-01-13 17:52 UTC, RobbieTheK
no flags Details


Links
System ID Priority Status Summary Last Updated
freedesktop.org Gitlab xorg xserver issues 283 None None None 2020-01-14 03:46:52 UTC

Description RobbieTheK 2020-01-13 17:51:58 UTC
Description of problem:
logging in via X2Go

Version-Release number of selected component:
nxagent-3.5.99.20-2.fc31

Additional info:
reporter:       libreport-2.11.3
backtrace_rating: 4
cgroup:         0::/user.slice/user-1201.slice/session-2486.scope
cmdline:        x2goagent -nolisten tcp -nolisten tcp -dpi 90 -D -auth /u/sobolev/agw/.Xauthority -geometry 1280x1024 -name X2GO-agw-51-1578932017_stDMATE_dp32 :51
crash_function: XkbAdjustGroup
executable:     /usr/bin/nxagent
journald_cursor: s=1669a10ea05e40aca9b46dc1106e1de2;i=1a47668d;b=14e7f9086be34450ac91a560c61157db;m=18728ca4c54;t=59c07c2e0866f;x=1b6f32bcbfd14960
kernel:         5.3.16-300.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1201

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 XkbAdjustGroup at xkbUtils.c:688
 #1 XkbComputeDerivedState at xkbUtils.c:714
 #2 ProcXkbLatchLockState at xkb.c:560
 #3 Dispatch at NXdispatch.c:482

Comment 1 RobbieTheK 2020-01-13 17:52:00 UTC
Created attachment 1651961 [details]
File: backtrace

Comment 2 RobbieTheK 2020-01-13 17:52:01 UTC
Created attachment 1651962 [details]
File: core_backtrace

Comment 3 RobbieTheK 2020-01-13 17:52:02 UTC
Created attachment 1651963 [details]
File: cpuinfo

Comment 4 RobbieTheK 2020-01-13 17:52:02 UTC
Created attachment 1651964 [details]
File: dso_list

Comment 5 RobbieTheK 2020-01-13 17:52:03 UTC
Created attachment 1651965 [details]
File: environ

Comment 6 RobbieTheK 2020-01-13 17:52:04 UTC
Created attachment 1651966 [details]
File: limits

Comment 7 RobbieTheK 2020-01-13 17:52:05 UTC
Created attachment 1651967 [details]
File: maps

Comment 8 RobbieTheK 2020-01-13 17:52:06 UTC
Created attachment 1651968 [details]
File: mountinfo

Comment 9 RobbieTheK 2020-01-13 17:52:07 UTC
Created attachment 1651969 [details]
File: open_fds

Comment 10 RobbieTheK 2020-01-13 17:52:08 UTC
Created attachment 1651970 [details]
File: proc_pid_status

Comment 11 Orion Poplawski 2020-01-14 03:46:52 UTC
I think this is the relevant x2go bug report: https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1376

And this seems relevant to the X11 code: https://gitlab.freedesktop.org/xorg/xserver/issues/283

In any case, this is going to need to be resolved upstream.

Comment 12 Ulrich Sibiller 2020-01-14 06:36:33 UTC
nx-libs has a workaround for that bug included in 3.5.99.21 and newer.

The relevant nx-libs issue is this: https://github.com/ArcticaProject/nx-libs/issues/808

Comment 13 Fedora Update System 2020-01-31 02:26:35 UTC
FEDORA-2019-eaf3a67b84 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-eaf3a67b84

Comment 14 Fedora Update System 2020-02-02 01:34:07 UTC
nx-libs-3.5.99.22-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.